Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Feb 2015 14:16:03 +0200

> From: Ivan Shmakov <[email-masked]>
> Date: Sat, 14 Feb 2015 11:31:12 +0000
> 
> 	As currently implemented (tested on 7eb2077f9dd1, 2015-02-06
> 	15:01:12 UTC), tar-untar-buffer uses the default-directory value
> 	for the “data” buffer (see tar-data-buffer), instead of the
> 	(arguably much less obscure) one for the tar-mode buffer itself
> 	(which could easily be changed by the user via M-x cd.)

Sorry, I don't understand the implications of the change, or even the
problem.  Could you elaborate?

The doc string of tar-untar-buffer says:

  "Extract all archive members in the tar-file into the current directory."

which seems to match what it does.  Why isn't default-directory of
tar-data-buffer the right choice for doing that?